For the complete documentation index, see llms.txt. This page is also available as Markdown.

Upload a live photo

URL

POST https://api.complycube.com/v1/livePhotos

Uploads a new live photo. The live photo image must be either in JPG or PNG format. The size must be between 34 KB and 4 MB.

Headers

Name
Type
Description

Content-Type*

string

The content-type must always be set to application/json.

Authorization*

string

The API live or test key.

Body

Name
Type
Description

clientId*

string

The ID of the client associated with this live photo.

data*

string

The BASE64 encoded data.

performLivenessCheck

boolean

Indicates if a liveness check should be performed on a live photo upload. When not provided, this defaults to true.

Example request

curl -X POST https://api.complycube.com/v1/livePhotos \
     -H 'Authorization: <YOUR_API_KEY>' \
     -H 'Content-Type: application/json' \
     -d '{
               "clientId":"5eb1276d96be4a0008713af5",
               "data": "<BASE64_CONTENT>"
        }'
const { ComplyCube } = require("@complycube/api");

const complycube = new ComplyCube({ apiKey: "<YOUR_API_KEY>" });

await complycube.livePhoto.upload("CLIENT_ID", {
    data: "<BASE64_CONTENT>"
});
from complycube import ComplyCubeClient

cc_api = ComplyCubeClient(api_key='<YOUR_API_KEY>')

live_photo = cc_api.livephotos.upload('CLIENT_ID', {
    'data': '<BASE64_CONTENT>'
})

Example responses